Package net.commoble.exmachina.api.content

# Enum Class NoneTransmitter

java.lang.Object
java.lang.Enum<NoneTransmitter>
net.commoble.exmachina.api.content.NoneTransmitter

All Implemented Interfaces:
  `Serializable`, `Comparable<NoneTransmitter>`, `Constable`, `SignalComponent`

public enum NoneTransmitter extends Enum<NoneTransmitter> implements SignalComponent
SignalComponent which provides no power and connects to no graph.

    {
            "type": "exmachina:none"
    }

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
Singleton instance of NoneSource

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<NoneTransmitter>`
`CODEC`
{"type": "exmachina:none"}
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends SignalComponent>>`
`KEY`
exmachina:signal_transmitter_type / exmachina:none

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.MapCodec<? extends SignalComponent>`
`codec()`
Returns the sub-codec for this component type registered via `ExMachinaRegistries.SIGNAL_COMPONENT_TYPE`
`Collection<TransmissionNode>`
`getTransmissionNodes(net.minecraft.resources.ResourceKey<net.minecraft.world.level.Level> levelKey, net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, Channel channel)`
Defines the TransmissionNode at a given pos/face/channel
`static NoneTransmitter`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NoneTransmitter[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.commoble.exmachina.api.SignalComponent

`updateSelfFromNeighborsAfterGraphUpdate`

## Enum Constant Details

### INSTANCE

public static final NoneTransmitter INSTANCE
Singleton instance of NoneSource

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends SignalComponent>> KEY
exmachina:signal_transmitter_type / exmachina:none

### CODEC

public static final com.mojang.serialization.MapCodec<NoneTransmitter> CODEC

    {"type": "exmachina:none"}

## Method Details

### values

public static NoneTransmitter[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NoneTransmitter valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### codec

public com.mojang.serialization.MapCodec<? extends SignalComponent> codec()
Description copied from interface: `SignalComponent`
Returns the sub-codec for this component type registered via `ExMachinaRegistries.SIGNAL_COMPONENT_TYPE`

Specified by:
  `codec` in interface `SignalComponent`
Returns:
  sub-codec

### getTransmissionNodes

public Collection<TransmissionNode> getTransmissionNodes(net.minecraft.resources.ResourceKey<net.minecraft.world.level.Level> levelKey, net.minecraft.world.level.BlockGetter level, net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state, Channel channel)
Description copied from interface: `SignalComponent`
Defines the TransmissionNode at a given pos/face/channel

Specified by:
  `getTransmissionNodes` in interface `SignalComponent`
Parameters:
  `levelKey` - ResourceKey of the blockgetter
  `level` - BlockGetter where the SignalComponent block is
  `pos` - BlockPos where this SignalComponent block is
  `state` - BlockState of this SignalComponent block
  `channel` - Channel to get nodes for
Returns:
  Collection of TransmissionNodes for the provided context. Any transmission nodes at the same level+pos+channel must have a unique NodeShape.